#include <Arduino.h>
#include <RH_ASK.h>

RH_ASK driver;

void setup(){
	Serial.begin(9600);
	Serial.println("Starting...");
	if (!driver.init())
		Serial.println("init failed");
	Serial.println("Started");
}

void loop(){
	uint8_t buf[12];
	uint8_t buflen = sizeof(buf);
	if (driver.recv(buf, &buflen)) {// Non-blocking
		Serial.print("Message: ");
		Serial.println((char *)buf);
	}
}