#include <Arduino.h>
#include <RH_ASK.h>
#include <Button.cpp>

RH_ASK _driver;
void buttonPress();
Button _button(13, &buttonPress);
unsigned int _counter;

void setup() {
	Serial.begin(9600);
	Serial.println("Starting...");
    if (!_driver.init())
		Serial.println("init failed");
	Serial.println("Started");
}

void loop() {
	_button.loop();
}

void buttonPress(){
	Serial.println("Transmitting...");
	char msg[12];
	sprintf(msg, "Hello World%d", _counter++);
	_driver.send((uint8_t *)msg, strlen(msg));
	_driver.waitPacketSent();
	Serial.println("Transmitted");
}